%define name	firestarter
%define version 0.9.1
%define release 2mdk

Summary:   A GTK firewall tool 
Name:      %{name}
Version:   %{version}
Release:   %{release}
License: GPL
Group:     Networking/Other 
URL:       http://firestarter.sourceforge.net
Source0:    %{name}-%{version}.tar.bz2
Source1:    %name.init
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires:  iptables
BuildRequires: libgnomeui2-devel

%description
This is FireStarter, a firewall tool for GNOME.
The goal is to create a user-friendly, yet powerful, tool for setting-up,
monitoring and administring firewalls for Linux machines.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

%configure

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT%_initrddir
cp $RPM_SOURCE_DIR/%name.init $RPM_BUILD_ROOT%_initrddir/%name

%{find_lang} %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/firestarter"\
title="Firestarter"\
longtitle="Firewall tool"\
needs="x11"\
icon="networking_section.png"\
section="Configuration/Networking"
EOF
)  

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%{_bindir}/*
%{_datadir}/gnome/apps/Internet/firestarter.desktop
%{_datadir}/pixmaps/*
%{_menudir}/*

#%dir %_datadir/gnome/help/%name
#%dir %_datadir/gnome/help/%name/C
#%_datadir/gnome/help/%name/C/*.html
#%_datadir/gnome/help/%name/C/*.dat
#%_datadir/gnome/help/%name/C/stylesheet-images/*.gif

%config(noreplace) %_initrddir/*

%post
/sbin/chkconfig --add %name
%{update_menus}

%preun
/sbin/chkconfig --del %name

%postun
%{clean_menus}

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Thu Jan 23 2003 lenny@mandrakesoft.com 0.9.1-2mdk
- rebuild

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Sun Sep 08 2002 Laurent Culioli <laurent@pschit.net> 0.9.0-1mdk
- bump to 0.9.0

* Tue Jul 16 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-0.beta1.1mdk
- 0.9.0beta1 gtk2 port

* Mon Feb 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Fix menu entry
- Add missing files

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1
- fix initscript (thx Jorge E. Gomez)

* Mon Jan 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-2mdk
- initscript

* Wed Dec 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- updated to 0.7.1

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- updated to 0.7.0

* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- fix requires

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- updated to 0.6.1

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to 0.6.0

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-2mdk
- rebuilded

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- update locales

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- v0.4.1
- add menu
- BM
- macros
- added %lang


* Tue Jun 13 2000 John Johnson <jjohnson@linux-mandrake.com> 0.2.1-1mdk
- Made Mandrake rpm
